Subject: Re: bug#31745: 回复： bug#31745: 回复：回复：Re: 回复：bug#31745: Frame's bug whenwindow-system

From: martin rudalics <[email-masked]>
Date: Thu, 28 Jun 2018 10:33:53 +0200

>> Hmmm...  Does the behavior reproduce just with
 >>
 >> emacs -Q --eval "(setq default-frame-alist '((left . 0) (top . 0) (width . 130) (height . 56)))"
 >>
 >
 > Yes.

That's a good bad base.  Let's stick to this.

 >> Also, when you evaluate
 >>
 >> (setq default-frame-alist '((left . 0) (top . 0) (width . 130) (height . 56)))
 >>
 >> in such a miscreated frame does it turn to the expected state?
 >
 > No, and I donʼt see how it would, that just affects the next frame
 > creation, no? Besides, itʼs already set to that :-)

I'm too silly.  I obviously meant

(modify-frame-parameters nil '((left . 0) (top . 0) (width . 130) (height . 56)))

What give (frame-pixel-width) and (frame-pixel-height) for this frame
in the bad and good states?

 > x86_64-pc-linux-gnu, GTK+ Version 3.18.9, running KDE plasma 5.12.5,
 > using kwin. Basically Ubuntu 16.04 with KDE on top.

Can you try with another toolkit or X without any toolkit so we can
tell whether this is GTK or window manager specific?

martin